Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 974014 - date +%s output reverse
date +%s output reverse
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: coreutils (Show other bugs)
7.0
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Ondrej Vasik
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-13 05:37 EDT by Jian Li
Modified: 2014-03-03 19:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-03 03:04:03 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jian Li 2013-06-13 05:37:47 EDT
Description of problem:
In my cases, i use 'data +%s' to check test process..  Auto test alway time out, for 'date +%s' output revers result..

https://beaker.engineering.redhat.com/jobs/434294
http://beaker-archive.app.eng.bos.redhat.com/beaker-logs/2013/06/4342/434294/913149/13121326/TESTOUT.log

output skip from '1371129194' to '1371129205', about 4 hours.


Version-Release number of selected component (if applicable):
RHEL-7.0-20130606.0
RHEL-7.0-20130522.0

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Jian Li 2013-06-13 06:02:11 EDT
skip: 1371129205 => 1371114815
Comment 3 Ondrej Vasik 2013-06-13 16:11:08 EDT
Could you please better explain what's the issue you are experiencing? I don't see anything wrong there.
Comment 4 Jian Li 2013-07-03 03:04:03 EDT
/mnt/tests/kernel/filesystems/nfs/pNFS/bz218777
++ date +%s
++ expr 1371129024 + 300
+ '[' 1371129205 -lt 1371129324 ']'   <====  date return 1371129205
+ pushd /mnt/bz218777/bz218777/hp-dl380pgen8-02-vm-13.lab.bos.redhat.com
/mnt/bz218777/bz218777/hp-dl380pgen8-02-vm-13.lab.bos.redhat.com /mnt/tests/kernel/filesystems/nfs/pNFS/bz218777
+ /mnt/tests/kernel/filesystems/nfs/pNFS/bz218777/crash
+ stat /mnt/bz218777/bz218777/hp-dl380pgen8-02-vm-13.lab.bos.redhat.com/file_on_nfs
  File: ‘/mnt/bz218777/bz218777/hp-dl380pgen8-02-vm-13.lab.bos.redhat.com/file_on_nfs’
  Size: 0         	Blocks: 0          IO Block: 65536  regular empty file
Device: 23h/35d	Inode: 79363       Links: 1
Access: (2644/-rw-r-Sr--)  Uid: (   99/  nobody)   Gid: (   99/  nobody)
Context: system_u:object_r:nfs_t:s0
Access: 2013-06-13 05:11:32.169989000 -0400
Modify: 2013-06-13 05:11:32.169989000 -0400
Change: 2013-06-13 05:11:32.171990000 -0400
 Birth: -
+ log 'Test ran sucessfully.'
+ tee -a /tmp/tmp.pdjERc
+ echo -e 'Test ran sucessfully.'
Test ran sucessfully.
+ rm -f /mnt/bz218777/bz218777/hp-dl380pgen8-02-vm-13.lab.bos.redhat.com/file_on_nfs
+ sleep 10
+ popd
/mnt/tests/kernel/filesystems/nfs/pNFS/bz218777
++ date +%s
++ expr 1371129024 + 300
+ '[' 1371114815 -lt 1371129324 ']'   <==== date return 1371114815

date output reverse.  

But in my later testing, there is no problem, close this bug.

Note You need to log in before you can comment on or make changes to this bug.